public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/proj/guru:master commit in: app-dicts/dictd-mueller/, app-dicts/dictd-mueller/files/
@ 2021-06-17  5:55 Theo Anderson
  0 siblings, 0 replies; only message in thread
From: Theo Anderson @ 2021-06-17  5:55 UTC (permalink / raw
  To: gentoo-commits

commit:     5d0a287e308596db496e95e71789dfda062394f9
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Thu Jun 17 01:19:52 2021 +0000
Commit:     Theo Anderson <telans <AT> posteo <DOT> de>
CommitDate: Thu Jun 17 01:20:32 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=5d0a287e

app-dicts/dictd-mueller: new

Package-Manager: Portage-3.0.19, Repoman-3.0.3
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 app-dicts/dictd-mueller/Manifest                   |  1 +
 .../dictd-mueller/dictd-mueller-3.1-r1.ebuild      | 49 ++++++++++++++++++++++
 .../files/dictd-mueller-3.1-dictfmt.patch          | 11 +++++
 app-dicts/dictd-mueller/metadata.xml               | 11 +++++
 4 files changed, 72 insertions(+)

diff --git a/app-dicts/dictd-mueller/Manifest b/app-dicts/dictd-mueller/Manifest
new file mode 100644
index 000000000..30da34cd4
--- /dev/null
+++ b/app-dicts/dictd-mueller/Manifest
@@ -0,0 +1 @@
+DIST mueller-dict-3.1.tar.gz 6615310 BLAKE2B 7e205e1660fcc4adf1d1b710561eb9fb009978f0271b8aee42d2ffc09337a311eca203ac0ab84b12bdf378a49b984b3b0337509cf4f00384946c76446e84227e SHA512 e6828235412bda0a23bcf2b84e652edfeb6c5cbbb97b1368808dd724be6ab7084afc670a4f38084f8f622f06dd400006747b45b0f59b780ce58c04f0bc2ff7e5

diff --git a/app-dicts/dictd-mueller/dictd-mueller-3.1-r1.ebuild b/app-dicts/dictd-mueller/dictd-mueller-3.1-r1.ebuild
new file mode 100644
index 000000000..aedc0a9f4
--- /dev/null
+++ b/app-dicts/dictd-mueller/dictd-mueller-3.1-r1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN="mueller-dict"
+MY_P="${MY_PN}-${PV}"
+
+inherit eutils autotools
+
+DESCRIPTION="V. K. Mueller English-Russian Dictionary"
+HOMEPAGE="http://mueller-dict.sourceforge.net"
+SRC_URI="mirror://sourceforge/${MY_PN}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+LICENSE="GPL-2"
+IUSE="ipa"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc ~x86"
+
+RDEPEND=">=app-text/dictd-1.13.0-r3"
+BDEPEND="
+	${RDEPEND}
+	dev-lang/perl
+"
+
+PATCHES=( "${FILESDIR}/${P}-dictfmt.patch" )
+
+src_prepare() {
+	rm -r "${S}"/dict/*.dz "${S}"/dict/*.index || die
+	default
+	eautoreconf
+}
+
+src_configure() {
+	#preformat need the en_US.UTF-8 locale
+	local myconf=(
+		--enable-preformat
+		$(use_enable ipa IPA-unicode)
+	)
+
+	econf "${myconf[@]}"
+}
+
+src_install() {
+	dodoc NEWS README ChangeLog
+	pushd "${S}/dict" || die
+	insinto /usr/share/dict
+	doins mueller-{abbrev,base,dict,geo,names}.{dict.dz,index}
+}

diff --git a/app-dicts/dictd-mueller/files/dictd-mueller-3.1-dictfmt.patch b/app-dicts/dictd-mueller/files/dictd-mueller-3.1-dictfmt.patch
new file mode 100644
index 000000000..b064428b7
--- /dev/null
+++ b/app-dicts/dictd-mueller/files/dictd-mueller-3.1-dictfmt.patch
@@ -0,0 +1,11 @@
+--- a/dict/Makefile.am
++++ b/dict/Makefile.am
+@@ -10,7 +10,7 @@
+ #CHARSET = utf-8
+ 
+ DICTFMT_FLAGS = --headword-separator \; --break-headwords --columns=0 \
+-	--locale=$(LOCALE) -c5 -u $(URL)
++	--utf8 -c5 -u $(URL)
+ DICTZIP_FLAGS = -k
+ 
+ if FORMAT

diff --git a/app-dicts/dictd-mueller/metadata.xml b/app-dicts/dictd-mueller/metadata.xml
new file mode 100644
index 000000000..20f28b724
--- /dev/null
+++ b/app-dicts/dictd-mueller/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<!-- maintainer needed -->
+	<use>
+		<flag name="ipa">convert transcription into the IPA Unicode</flag>
+	</use>
+	<upstream>
+		<remote-id type="sourceforge">mueller-dict</remote-id>
+	</upstream>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2021-06-17  5:55 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-06-17  5:55 [gentoo-commits] repo/proj/guru:master commit in: app-dicts/dictd-mueller/, app-dicts/dictd-mueller/files/ Theo Anderson

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox